# `mysphinx` : Sphinx environnement used to compile the manuscript.

![CC BY 4.0](https://img.shields.io/badge/CC_BY_4.0-yellow?logo=creativecommons&logoColor=black&labelColor=white)


## Purpose

The manusript is compiled with a taylored Sphinx configuration, including extensions. 
Following the recommendation of https://hub.docker.com/r/sphinxdoc/sphinx 

## Usage

To build the docker image, run the following command :

```batch
docker build -t mysphinx:001
```

On Wwindows, us the following commands to compile 

```batch
docker run --rm -v %cd%:/docs mysphinx:001 make latexpdf
docker run --rm -v %cd%:/docs mysphinx:001 make html
```

## Authors

- **Greg Henning**, Université de Strasbourg, CNRS, IPHC UMR 7178, Strasbourg, France - Corresponding author, ghenning *.at.* iphc.cnrs.fr

## License

The Dockerfile is distributed under [CC-BY 4.0 License](https://creativecommons.org/licenses/by/4.0/?ref=chooser-v1).
See [`LICENSE.txt`](LICENSE.txt) for more information.

